Withdrawal presets
هذه الصفحة غير متوفرة باللغة العربية. يتم عرض النسخة الإنجليزية.
Get withdrawal presets
Use this method to obtain a list of saved withdrawal presets. When making withdrawals in the Trader's Room, clients can save withdrawal details as presets to avoid the need to enter the same information repeatedly for frequent withdrawals.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
offset?integer
Sets the offset
Range
0 <= valueDefault
0limit?integer
Sets the limit
Range
1 <= value <= 1000Default
10sort_by?string
Sorts the items by a specified value
Default
"createTime"Value in
- "createTime"
- "name"
filter?
Filters the items by a specified value
Header Parameters
accept-language?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/my/withdrawals/patterns?offset=0&limit=10" \ -H "accept-language: ja"{ "total": 1, "data": [ { "id": 1, "name": "My withdrawal preset", "accountId": 1, "amount": "200", "amountTo": "200", "method": { "id": 1, "name": "b2binpay_fiat", "caption": "B2BinPay" }, "currency": { "alphabeticCode": "USD", "minorUnit": 2, "name": "US Dollar", "numericCode": 840 }, "group": { "id": 1, "caption": "Fiat", "name": "fiat", "icon": "string" }, "data": {}, "isWhitelisted": true, "clientId": 1, "createTime": "2022-01-01T00:00:00+00:00", "updateTime": "2022-01-01T00:00:00+00:00" } ]}{ "error": { "message": "Bad Request", "details": [ { "issue": "The selected value is invalid.", "field": "parameter" } ] }}{ "error": { "message": "Unauthorized" }}{ "error": { "message": "Forbidden" }}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Service Unavailable" }}